Artboard
FileMaker Files

Save FileMaker file as XML

Requires FileMaker Server 20.3 or later. This endpoint will create a clone of the file and save it as XML. The clone will be deleted after the XML is saved. If the file is already closed, the file will be used directly.

POST
/otto/api/fm-file/{filename}/save-as-xml

Path Parameters

filename*string

Name of the FileMaker file to convert

Request Body

application/json

POST /otto/api/fm-file/:filename/save-as-xml Request body

encryptionKey?string

Optional encryption key

includeDdrInfo?boolean

Include extra DDR information (script text) in the XML output

password*string

FileMaker password

saveToDocuments?boolean

Whether to save the XML file in the Documents folder

username*string

FileMaker username

catalogList?array<>

Restrict the XML output to a subset of FileMaker DDR catalogs (e.g. ScriptCatalog). Empty or absent includes all catalogs. Requires FileMaker Server 26.

splitCatalogs?boolean

Output one XML file per catalog, returned as a zip archive. LibraryCatalog is automatically excluded and standalone binary data is forced on by the tool. Requires FileMaker Server 26.

standaloneBinaryData?boolean

Embed each layout object's binary data inline rather than referencing the deduplicated LibraryCatalog. Requires FileMaker Server 26.

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/fm-file/string/save-as-xml" \  -H "Content-Type: application/json" \  -d '{    "password": "string",    "username": "string"  }'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}

Was this page helpful?